### Method

# Gtk TreeItercopy

deprecated: 4.10

#### Declaration [src]

    GtkTreeIter*
    gtk_tree_iter_copy (
      GtkTreeIter* iter
    )

#### Description [src]

Creates a dynamically allocated tree iterator as a copy of `iter`.

This function is not intended for use in applications, because you can just copy the structs by value (`GtkTreeIter new_iter = iter;`). You must free this iter with gtk_tree_iter_free().

Deprecated since: 4.10

Please do not use it in newly written code.

#### Return value

Type: `GtkTreeIter`

A newly-allocated copy of `iter`.

The caller of the method takes ownership of the data, and is responsible for freeing it.